Page MenuHomePhabricator

Change "cancel" color from red to gray since it isn't destructive
Closed, ResolvedPublic

Description

As a commons editor (who is not colorblind), when I see the "Cancel" and "Publish" buttons, I want to reassurance that Cancel is not destructive so that I can make choices in my workflow with confidence.

Currently we have
The Cancel button as red


^(example)

We want:
The Cancel button as gray (#222222)

Quote design style guide: "Destructive: Use destructive buttons for actions that remove or limit, such as deleting a page or blocking a user. Don't use it for actions, such as cancel buttons."

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseMediaInfo : masterDon't use destructive color for cancel buttons

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2019, 2:56 PM
PDrouin-WMF renamed this task from [stub] Change "cancel" color from red since it isn't destructive to Change "cancel" color from red to gray since it isn't destructive.Oct 17 2019, 4:13 PM
PDrouin-WMF removed a project: SDC Design.
PDrouin-WMF updated the task description. (Show Details)
PDrouin-WMF updated the task description. (Show Details)
PDrouin-WMF updated the task description. (Show Details)Nov 12 2019, 4:36 PM
PDrouin-WMF added a subscriber: Ramsey-WMF.

Change 554641 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/WikibaseMediaInfo@master] Don't use destructive color for cancel buttons

https://gerrit.wikimedia.org/r/554641

Change 554641 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Don't use destructive color for cancel buttons

https://gerrit.wikimedia.org/r/554641

Ramsey-WMF closed this task as Resolved.Dec 13 2019, 11:13 PM

Tested on production and works.